
// $Revision$ 1.0
/*
======================================================================================
Firma:            Voith Turbo
Projekt:          ALADIN Programm-Hilfe
Dateiname:        help.js
Beschreibung:     Alle Projektweit verwendeten JS-Funktionen
Doku in:          Keine
Ersterstellung:   /2006 - RThe
======================================================================================
*/



// ======================================================================================
// Funktionen zum prüfen und setzen des Framesets
// ======================================================================================




/*
======================================================================================
Funktion:         frameMaker_C()
in Datei:         help.js
Beschreibung:     frameMaker_C wird durch die content Seiten aufgerufen und überprüft,
ob die content Seite die oberste Hirarchie-Stufe im Frame besitzt (kein frameset).
Wenn ja wird die frameset_C.htm Seite aufgerufen, welche das frameset bildet.
location.href übergibt die rufende seite ans frameset.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameMaker_C()
{
if (self == top) location.href = "frameset_C.htm?" + location.href
}

/*
======================================================================================
Funktion:         frameMaker_C_H()
in Datei:         help.js
Beschreibung:     frameMaker_C_H wird nur durch die help Seite aufgerufen und überprüft,
ob die content Seite die oberste Hirarchie-Stufe im Frame besitzt (kein frameset).
Wenn ja wird die frameset_C.htm Seite aufgerufen, welche das frameset bildet.
location.href übergibt die rufende seite ans frameset.
Grund: help Seite mit offener Navigation, alle anderen mit geschlossener Navigationsleiste.
Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameMaker_C_H()
{
if (self == top) location.href = "frameset_C_H.htm?" + location.href
}

/*
======================================================================================
Funktion:         frameMaker_M()
in Datei:         help.js
Beschreibung:     frameMaker_N wird durch die Navigationsseiten aufgerufen und überprüft,
ob die navigation Seite die oberste Hirarchie-Stufe im Frame besitzt (kein frameset).
Wenn ja wird die frameset_C.htm Seite aufgerufen, welche das frameset bildet.
location.href übergibt die rufende seite ans frameset.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameMaker_N()
{
if (self == top) location.href = "frameset_N.htm?" + location.href
}

/*
======================================================================================
Funktion:         setNAV_1()
in Datei:         help.js
Beschreibung:     setNAV_1 ändert den Bannerinhalt auf banner2. Banner zwei ändert dan die
Breite des Navigationframes durch den Aufruf von useNAV_1
banner1 und banner2 werden benötigt, um das Aussehen der Buttons im
Banner zu verändern, wenn die Navigationsleiste ein/ausgeblendet wird.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function setNAV_1()
{
window.parent.banner.location = "banner2.htm";

}

/*
======================================================================================
Funktion:         setNAV_2()
in Datei:         help.js
Beschreibung:     setNAV_2 wechselt die Bannerseite zurück auf banner1. Siehe setNAV_1


Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function setNAV_2()
{
window.parent.banner.location = "banner.htm";

}
/*
======================================================================================
Funktion:         useNAV_1()
in Datei:         help.js
Beschreibung:     Setzt die Breite des Navigation-Frames auf 12px. Wird von banner1 aufgerufen.
Banner1 => Navigation geschlossen (12px Breite)
Banner2 => Navigation offen ( 250px Breite)

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function useNAV_1()
{

parent.p.cols = "12,*";


}

/*
======================================================================================
Funktion:         useNAV_2()
in Datei:         help.js
Beschreibung:     Setzt die Breite des Navigation-Frames auf 250px. Wird von banner2 aufgerufen.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function useNAV_2()
{

parent.p.cols = "250,*";


}

/*
======================================================================================
Funktion:         frameBuster_C()
in Datei:         help.js
Beschreibung:     startet frameBuster_C_la(). Wird von der Content frameset Seite aufgerufen
Der framebuster baut das Framset um die aufrufende Seite herum auf.
_C für aufrufende Seite = content Seite
_la für Frameseite mit geschlossener Navigation (large content)
Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameBuster_C()
{
frameBuster_C_la()
}

/*
======================================================================================
Funktion:         frameBuster_C_la()
in Datei:         help.js
Beschreibung:     Baut die HTML Tags für das frameset zusammen. Dadurch wird eine html Seite mit drei Frames aufgebaut.
Die rufende Seite wird als content Seite gesetzt. Im Unterschied zu C_H ist die Navigation geschlossen

Aufbau der Frameseite:

-------------------------
- banner                -
------------------------
-navigation -  content  -
-           -           -
-           -           -
-           -           -
-           -           -
-           -           -
-------------------------


Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameBuster_C_la()
{
function tag(s) { document.write("<" + s + ">") }
tag('FRAMESET ROWS="30,*" border="0" frameborder="0" framespacing="0"')  // html tag für das frameset
tag('frame name="banner" noresize src="banner.htm" scrolling="no" border="0" frameborder="0" marginheight="0" marginwidth="0"') //als erstes wird das obere frame für den banner erzeugt

tag('frameset cols="12,*" border="0" id="p"')  //das kleine frame (12px) für die Navigation wird erstellt.
tag('frame src="sitemapA.htm" id="navigation" name="navigation" noresize scrolling="yes" title="Navigation"') //Inhalt des Navigationframes ist sitemap 1 mit dem Inhaltsverzeichnis
seite = location.search.substring(1, location.search.length)

tag("FRAME SRC='" + seite + "' NAME='content' scrolling='yes' "  )//Die aufrufende content Seite wird in das content-frame gesetzt

tag("/FRAMESET") //beenden des framesets
}


/*
======================================================================================
Funktion:         frameBuster_C_H()
in Datei:         help.js
Beschreibung:     Baut die HTML Tags für das frameset zusammen. Dadurch wird eine html Seite mit drei Frames aufgebaut.
Die rufende Seite wird als content Seite gesetzt. Die rufende Seite ist immer help.htm. Im Unterschied
zu frameBuster_C_la ist die Navigation offen.

Aufbau der Frameseite:

-------------------------
- banner                -
------------------------
-navigation -  content  -
-           -           -
-           -           -
-           -           -
-           -           -
-           -           -
-------------------------


Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameBuster_C_H()  //funktioniert wie frameBuster_C_la nur mit geöffneter Navigation (250px statt 12px)
{
function tag(s) { document.write("<" + s + ">") }
tag('FRAMESET ROWS="30,*" border="0" frameborder="0" framespacing="0"')
tag('frame name="banner" noresize src="banner2.htm" scrolling="no" border="0" frameborder="0" marginheight="0" marginwidth="0"')

tag('frameset cols="250,*" border="0" id="p"')
tag('frame src="sitemapA.htm" id="navigation" name="navigation" noresize scrolling="yes" title="Navigation"')
seite = location.search.substring(1, location.search.length)
//beginnt mit "?" !

tag("FRAME SRC='" + seite + "' NAME='content' scrolling='yes' "  )

tag("/FRAMESET")
}
/*
======================================================================================
Funktion:         frameBuster_N()
in Datei:         help.js
Beschreibung:     startet frameeBuster_N_la(). Wird von der Navigation frameset Seite aufgerufen

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameBuster_N()
{

frameBuster_N_la()

}

/*
======================================================================================
Funktion:         frameBuster_N_la()
in Datei:         help.js
Beschreibung:     Baut die HTML Tags für das frameset zusammen. Dadurch wird eine html Seite mit drei Frames aufgebaut.
Die rufende Seite wird als navigation Seite gesetzt.

Aufbau der Frameseite:

-------------------------
- banner                -
------------------------
-navigation -  content  -
-           -           -
-           -           -
-           -           -
-           -           -
-           -           -
-------------------------


Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function frameBuster_N_la()  //Funktio siehe frameBuster_C_la aber die rufende Seite ist eine Navigationsseite
{
function tag(s) { document.write("<" + s + ">") }
tag('FRAMESET ROWS="30,*" border="0" frameborder="0" framespacing="0"')
tag('frame name="banner" noresize src="banner.htm" scrolling="no" border="0" frameborder="0" marginheight="0" marginwidth="0"')

tag('frameset cols="250,*" border="0" id="p"')
seite = location.search.substring(1, location.search.length)
//beginnt mit "?" !

tag("FRAME SRC='" + seite + "' NAME='navigation' noresize scrolling='yes'title='Navigation' id='navigation'"  )

tag('frame name ="content" frame src= "help_DE.htm" scrolling = "yes"')
tag("/FRAMESET")
}


// ======================================================================================
// Funktionen zum Drucken Reload forward backward und reload (Explorer Funktionen nachgebildet)
// ======================================================================================


/*
======================================================================================
Funktion:         StepBackContent
in Datei:         help.js
Beschreibung:     im History Speicher einen Schritt zurück gehen. Eine html Seite zurück im Browser.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/

function StepBackContent()
{
window.parent.content.focus();
window.parent.content.history.back();
}



/*
======================================================================================
Funktion:         StepForwardContent
in Datei:         help.js
Beschreibung:     im History Speicher einen Schritt forwärts gehen. Eine html Seite nach vorn im Browser.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function StepForwardContent()
{
window.parent.content.focus();
window.parent.content.history.forward();
}
/*
======================================================================================
Funktion:         PrintWindowContent()
in Datei:         help.js
Beschreibung:     Drucken des aktuellen Inhaltes des Content-Frames

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function PrintWindowContent()
{
window.parent.content.focus(); //Damit nur der Inhalt der content Seite gedruckt wird
window.parent.content.print();

}

/*
======================================================================================
Funktion:         PageReload()
in Datei:         help.js
Beschreibung:     Aktualisiern der aktuellen html Seite

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function PageReload()
{
window.parent.content.location.reload();  // = Aktualisieren im IExplorer
}

// ======================================================================================
// Funktionen zum Ändern des aktuellen CSS.
// Wird genutz um die Anzeige von groß auf mittel auf klein umzustellen
// ======================================================================================

/*
======================================================================================
Funktion:         writeContentCSS()
in Datei:         help.js
Beschreibung:     Diese Funktion liest ein cookie und prüft, ob kleine, mittlere oder große Anzeige verwendet werden soll.
Prüfen ist ein einfacher Wechsel.
Der neue Wert (small or indi or big) wird ins Cookie zurückgeschrieben.
Für den Wechsel wird das Stylschied auf content1, content2 oder content3 gesetzt.
Diese Funktion wird von den content Seiten beim start ausgeführt.
content1 = klein enthält absolut definierte kleine Schriftgrößen
content2 = mittel enthält absolut definierte Voith Standart Schriftgrößen
content3 = indi (individual) enthält relativ definierte große Standart Schriftgrößen.
Diese hängen von der Schriftart-Einstellung des IExplorers ab.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function writeContentCSS() // Diese Funktion wird nach dem link auf das CSS in der html Seite ausgeführt und überschreibt so die voreingestellte Einstellung
{
var gespeichert = "small";
if (navigator.cookieEnabled == true){
gespeichert = getSwitchCookie();  // Lesen Cookie
if (gespeichert != null){  // Wenn Cookie vorhanden

if (gespeichert == "small") { // Wenn Cookiewert = small schreibe den html tag für den Verweis auf content1.css
document.write("<link href=\"Resources/css/content1.css\" rel=\"stylesheet\" type=\"text/css\" title ='small' />")
}

else {
if (gespeichert =="big") { // Wenn Cookiewert = big schreibe den html tag für den Verweis auf content2.css

document.write("<link href=\"Resources/css/content2.css\" rel=\"stylesheet\" type=\"text/css\" title ='big' />")
}
else {
if (gespeichert =="indi") { // Wenn Cookiewert = small schreibe den html tag für den Verweis auf content3.css

document.write("<link href=\"Resources/css/content3.css\" rel=\"stylesheet\" type=\"text/css\" title ='indi' />")
}
else { // Wenn kein brauchbarer Cookiewert, schreibe den html tag für den Verweis auf content1.css

document.write("<link href=\"Resources/css/content1.css\" rel=\"stylesheet\" type=\"text/css\" title ='small' />")
}
}
}
}
else {
setSwitchCookie("small"); // Wenn kein Cookie vorhanden, erzeuge es

document.write("<link href=\"Resources/css/content1.css\" rel=\"stylesheet\" type=\"text/css\" title ='small' />")


}

}
else{ // Wenn keine cookies erlaubt sind, nur content1.css möglich
document.write("<link href=\"Resources/css/content1.css\" rel=\"stylesheet\" type=\"text/css\" title ='small' />")
}


}


/*
======================================================================================
Funktion:         useStyle()
in Datei:         help.js
Beschreibung:     Diese Funktion liest das aktuelle cookie für das CSS und wechselt den Inhalt.
Danach werden die html Seiten aktualisiert. Die cookies werden benötigt, damit auch beim
Seitenwechsel das richtige CSS ausgewählt werden kann. Usestyle wird durch den Link im Banner aufgerufen.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function useStyle()
{
var gespeichert = "small"; // Variable für das Cookie
if (navigator.cookieEnabled == true){
gespeichert = getSwitchCookie();
if (gespeichert != null){  // Wenn Cookie vorhanden

// lesen
if (gespeichert == "small") {    // prüfen ob small oder big
setSwitchCookie("big");      // umschalten (setzte cookie auf neuen Wert)
PageReload();}
else {
if (gespeichert == "big") {
setSwitchCookie("indi");
PageReload();}
else {
if (gespeichert == "indi") {
setSwitchCookie("small");
PageReload();}
else {
setSwitchCookie("small");      // umschalten (setzte cookie auf neuen Wert)
PageReload();}
}
}


}else{									// wenn noch kein cookie dann erstellen mit Standard klein
setSwitchCookie("small");
PageReload();
}
}
}



// ======================================================================================
// Cookie related functions
// ======================================================================================


/*
======================================================================================
Funktion:         setSwitchCookie()
in Datei:         help.js
Beschreibung:     Diese Funktion lerzeugt eine Cookie

Parameter:        - v = Cookie - Speicherwert
Returnwert:       -
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function setSwitchCookie(v)
{

var jetzt = new Date(); // benötigt für die cookie-Verfallszeit. Gesetzt auf ein Jahr!
var Verfall = 356 * 24 * 60 * 60 * 1000;
var Auszeit = new Date(jetzt.getTime() + Verfall); // Die cookie Verfallszeit in Millisekunden. Danach wird cookie gelöscht von Browser
var cook = "content=" + v + ";" + " expires=" + Auszeit.toGMTString() + ";";

document.cookie = cook;
}


/*
======================================================================================
Funktion:         getSwitchCookie()
in Datei:         help.js
Beschreibung:     Diese Funktion ließt eine Cookie und gibt den Inhalt zurück.
Gelesen wird nur der Wert des Parameter content

Parameter:        -
Returnwert:       - content value
Ersterstellung:   /2006 - RThe
Letzte Änderung:  -
======================================================================================
*/
function getSwitchCookie()
{
var i=0  //Suchposition im Cookie
var suche = "content="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
var ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
var cook = document.cookie.substring(i+suche.length, ende)
return unescape(cook)
}
i++
}
}

/*
======================================================================================
Funktionen für die Persönlichen Favoriten. Ein neuer Favorit wird über die Funktion
setFavoritecookie() gesetzt.
Diese werden dann auf der Wilkommen-Seite über die Funktion getFavoriteCookie auf die Seite geschrieben.
*/
/*
======================================================================================
Funktion:         setFavoritecookie()
in Datei:         help.js
Beschreibung:     Diese Funktion ließt die URL und den Titel der aktuellen content Seite
und Schreibt den Inhalt in ein Cookie. Hierzu wird aus dem cookie die Variable lastposition gelesen,
welche ein Ringzähler ist, der von 1 bis zehn reicht. Inhalt und URL werden dann auf die folgende Position geschrieben
Favorit1 ... Favorit10 und Titel1 .. Titel10.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2007 - RThe
Letzte Änderung:  -
======================================================================================
*/
function setFavoritecookie()
{
var Seite // URL der Seite, die gespeichert werden soll.
var Titel // Titel der Seite, die gespeichert werden soll.
var lastposition = "11" // Ringzähler 1..10
var i=0  //Suchposition im Cookie
var jetzt = new Date(); // benötigt für die cookie-Verfallszeit. Gesetzt auf ein Jahr!
var Verfall = 356 * 24 * 60 * 60 * 1000;
var Auszeit = new Date(jetzt.getTime() + Verfall); // Die cookie Verfallszeit in Millisekunden. Danach wird cookie gelöscht von Browser

var cook		//Letzte geschrieben Position wird ausgelesen 1..10 möglich, 11 wenn nocht nicht genutzt.
var suche = "lastposition="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
var ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
lastposition= document.cookie.substring(i+suche.length, ende) // Hier wird der letzte Zählerstand gespeichert in lastposition
}
i++
}
Seite = window.parent.content.document.URL;  // URL der Content Seite wird gelesen
Titel = window.parent.content.document.title; // Titel der Content Seite wird gelesen
Seite = decodeURI(Seite);    // Decodieren auf reine ASCII zeichen
switch(lastposition) {
case "1":
cook = "Favorit2=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";  // Schreiben der URL ins Cookie
document.cookie = cook;
cook = "lastposition=" + "2" + ";" + " expires=" + Auszeit.toGMTString() + ";";// Setzten des Zugriffszähler im Cookie
document.cookie = cook;
cook = "Titel2=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";"; // Speichern des Titels im Cookie
document.cookie = cook;
break;

case "2":
cook = "Favorit3=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "3" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel3=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "3":
cook = "Favorit4=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "4" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel4=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "4":
cook = "Favorit5=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "5" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel5=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "5":
cook = "Favorit6=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "6" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel6=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "6":
cook = "Favorit7=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "7" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel7=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "7":
cook = "Favorit8=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "8" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel8=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "8":
cook = "Favorit9=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "9" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel9=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "9":
cook = "Favorit1=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "1" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel1=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;


default:	// Wenn keine gültiger lastposition Eintrag vorhanden ist (erstmaliger Funktionsaufruf), wird automatisch der erste Favorit benützt
cook = "Favorit1=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "1" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel1=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;

}

alert ("Die Seite " +  "'" +  Titel + "' " + "wurde zu Ihren persönlichen Favoriten im ALADIN-Hilfesystem hinzugefügt."); // Anzeigefenster, dass die Seite den persönlichen Favoriten hinzugefügt wurde
}
/*
======================================================================================
Funktion:         getFavoritecookie(number)
in Datei:         help.js
Beschreibung:     Diese Funktion ließt die URL und den Titel zu dem Favoriten(number) aus dem cookie
und schreibt diesen als Link (Url als src, Titel als Bezeichner) als Tag an die Stelle im html doc, die diese Funktion aufruft.
Parameter:        - number / welcher Favorit 1 -bis 10 gelesen werden soll als string
Returnwert:       -
Ersterstellung:   /2007 - RThe
Letzte Änderung:  -
======================================================================================
*/


function getFavoriteCookie(number)
{
var i=0  //Suchposition im Cookie
var Favorit =""
var Titel =""
var i = 0
var ende

// Anzeige der Favoriten Links auf der Seite.

switch(number) {
case "1":  // Wenn nach dem ersten Favoriten gesucht wird
i=0  //Suchposition im Cookie
suche = "Favorit1="  //Suchstring
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)// Inhalt des Suchstrings
}
i++
}
i=0  // Das ganze nochmal für den Titel mit verändertem Suchstring
suche = "Titel1="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") { // Wenn ein Titelstring gefunden wurde, wird jetzt der Tag für den Favoriten-Link ins html doc geschrieben.
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "2":
i=0  //Suchposition im Cookie
suche = "Favorit2="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel2="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "3":
i=0  //Suchposition im Cookie
suche = "Favorit3="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel3="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "4":
i=0  //Suchposition im Cookie
suche = "Favorit4="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel4="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "5":
i=0  //Suchposition im Cookie
suche = "Favorit5="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel5="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "6":
i=0  //Suchposition im Cookie
suche = "Favorit6="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel6="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;
case "7":
i=0  //Suchposition im Cookie
suche = "Favorit7="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel7="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}

break;

case "8":
i=0  //Suchposition im Cookie
suche = "Favorit8="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel8="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "9":
i=0  //Suchposition im Cookie
suche = "Favorit9="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Favorit= document.cookie.substring(i+suche.length, ende)
}
i++
}
i=0
suche = "Titel9="
while (i<document.cookie.length){
if (document.cookie.substring(i, i+suche.length)==suche){
ende = document.cookie.indexOf(";", i+suche.length)
ende = (ende>-1) ? ende : document.cookie.length
Titel= document.cookie.substring(i+suche.length, ende)
}
i++
}
if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;



default:



}

}
/* ENDE */
